# Class ArcGISGeocoder

Represents an ArcGIS geocoding service.

#### Hierarchy (view full)

- Geocoder<ArcGISGeocoderProperties>
  - ArcGISGeocoder

#####
Index

### Constructors

constructor

### Properties

_capabilitiesInternal
_id
_itemType
@eventTypes
addressSchema
countryCode
defaultAddressValues
iconUrl?
onAddFeature?
onEditFeature?
queryService?
title

### Accessors

capabilities
categories
failureMode
featureActions
featureSettings
featureSourceActions
hyperlinks
id
isDestroyed
isInitialized
itemType
relationships
requestHelper
schema
taskSettings
url

### Methods

_addAttachment
_addFeatures
_capabilities
_createAddressSchema
_createFeatureSettings
_createHyperlinks
_createRelationships
_createSchema
_createTaskSettings
_deleteAttachments
_deleteFeatures
_getAttachments
_getFeatures
_getSerializableProperties
_initializableChildCollections
_initializeChildren
_isRelationship
_onDestroy
_onInitialize
_postInitialize
_toPropertyDef
_updateFeatures
addAttachment
addFeature
addFeatures
assignProperties
assignPropertiesAsync
batchGeocode
count
deleteAttachments
deleteFeature
deleteFeatures
destroy
finishAssignProperties
geocode
getAttachments
getDefault
getDefaults
getFeature
getFeatures
getFullExtent
getSerializableProperties
initialize
reverseGeocode
suggest
toItemUri
toJSON
updateFeature
updateFeatures
updateUrl
fromPortalItem

##
Constructors

### constructor

- new ArcGISGeocoder(properties?): ArcGISGeocoder

- #### Parameters

  - `Optional` properties: ArcGISGeocoderProperties

  #### Returns ArcGISGeocoder

  Inherited from Geocoder.constructor

##
Properties

### `Protected`_capabilitiesInternal

_capabilitiesInternal: GeocoderCapabilities = ...

The default capabilities for a geocoder.

Inherited from Geocoder._capabilitiesInternal

### `Protected`_id

_id: string

The unique ID for this entity. Once set, this should never change.

Inherited from Geocoder._id

### `Protected` `Readonly`_itemType

_itemType: string = ItemType.GEOCODER

The item type for this entity when it participates in an App.

Inherited from Geocoder._itemType

### @eventTypes

@eventTypes: InitializableBaseEvents

#### Deprecated

Do not directly reference this property. Use EventNames and EventTypes helpers from @arcgis/core/Evented.

Inherited from Geocoder.@eventTypes

### `Readonly` addressSchema

addressSchema: Schema

The schema that defines the input address fields.

Inherited from Geocoder.addressSchema

### countryCode

countryCode: string

The country code used to filter results.

### `Readonly` defaultAddressValues

defaultAddressValues: Map<string, unknown>

Default address field values to use when they are missing in the input address. For instance, if a geocoder has a "City" input field, then setting its default value to "Victoria" would cause the geocoder to search for addresses within the city of Victoria by default if no city is specified.

Inherited from Geocoder.defaultAddressValues

### `Optional` iconUrl

iconUrl?: string

URL to an icon that represents this feature source.

Inherited from Geocoder.iconUrl

### `Optional` onAddFeature

onAddFeature?: Action

The action to be executed when a feature is added.

Inherited from Geocoder.onAddFeature

### `Optional` onEditFeature

onEditFeature?: Action

The action to be executed when a feature is edited.

Inherited from Geocoder.onEditFeature

### `Optional` queryService

queryService?: QueryService

An optional query service that the feature source can use to get features.

Inherited from Geocoder.queryService

### title

title: string

See data/FeatureSource!FeatureSource.title.

Inherited from Geocoder.title

##
Accessors

### capabilities

- get capabilities(): GeocoderCapabilities

- Capabilities of the feature source.

  #### Returns GeocoderCapabilities

  Inherited from Geocoder.capabilities

### categories

- get categories(): Collection<string>

- The address categories used to filter results.

  #### Returns Collection<string>

### failureMode

- get failureMode(): FailureMode

- Determines how a parent object should handle initialization failure in this object. The default is "warn".

  - `"error"`: support/InitializeError!InitializeError is thrown.
  - `"warn"`: Message is logged and support/InitializableBase!InitializeWarningEvent is raised.
  - `"ignore"`: support/InitializableBase!InitializeWarningEvent is raised.

  #### Returns FailureMode

  Inherited from Geocoder.failureMode

- set failureMode(value): void

- #### Parameters

  - value: FailureMode

  #### Returns void

  Inherited from Geocoder.failureMode

### featureActions

- get featureActions(): Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

- A menu for actions specifically related to features from this source.

  #### Returns Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

  Inherited from Geocoder.featureActions

- set featureActions(value): void

- A menu for actions specifically related to features from this source.

  #### Parameters

  - value: Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

  #### Returns void

  Inherited from Geocoder.featureActions

### featureSettings

- get featureSettings(): FeatureSettings

- Default settings that apply to features originating from this source.

  #### Returns FeatureSettings

  Inherited from Geocoder.featureSettings

### featureSourceActions

- get featureSourceActions(): Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

- A menu for actions specifically related to this source.

  #### Returns Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

  Inherited from Geocoder.featureSourceActions

- set featureSourceActions(value): void

- A menu for actions specifically related to this source.

  #### Parameters

  - value: Menu<MenuItemProperties, MenuProperties, MenuItem<MenuItemProperties, MenuProperties>>

  #### Returns void

  Inherited from Geocoder.featureSourceActions

### hyperlinks

- get hyperlinks(): Collection<Hyperlink>

- Hyperlinks associated with the feature source.

  #### Returns Collection<Hyperlink>

  Inherited from Geocoder.hyperlinks

### id

- get id(): string

- The unique ID for this entity.

  #### Returns string

  Inherited from Geocoder.id

### isDestroyed

- get isDestroyed(): boolean

- See support/InitializableBase!Initializable.isDestroyed.

  #### Returns boolean

  Inherited from Geocoder.isDestroyed

### isInitialized

- get isInitialized(): boolean

- See support/InitializableBase!Initializable.isInitialized.

  #### Returns boolean

  Inherited from Geocoder.isInitialized

### itemType

- get itemType(): string

- The item type for this entity when it participates in an App.

  #### Returns string

  Inherited from Geocoder.itemType

### relationships

- get relationships(): Collection<Relationship>

- Relationships to other feature sources.

  #### Returns Collection<Relationship>

  Inherited from Geocoder.relationships

### requestHelper

- get requestHelper(): ArcGISRequestHelper

- The utilities/RequestHelper!RequestHelper to use when making requests to external services. If not specified, a default implementation will be used.

  #### Returns ArcGISRequestHelper

- set requestHelper(requestHelper): void

- #### Parameters

  - requestHelper: ArcGISRequestHelper

  #### Returns void

### schema

- get schema(): Schema

- Metadata about features originating from this source, such as fields, domains, and geometry type.

  #### Returns Schema

  Inherited from Geocoder.schema

### taskSettings

- get taskSettings(): TaskSettings

- Settings that affect whether a feature source participates in various tasks that are performed on a map.

  #### Returns TaskSettings

  Inherited from Geocoder.taskSettings

### url

- get url(): string

- The URL of the ArcGIS geocode server.

  #### Returns string

- set url(value): void

- #### Parameters

  - value: string

  #### Returns void

##
Methods

### `Protected`_addAttachment

- _addAttachment(feature, attachment): Promise<Attachment>

- Called to add an attachment to a feature. Subclasses must override this if they support feature attachments.

  #### Parameters

  - feature: Feature

    The feature to add the attachment to.

  - attachment: AttachmentProperties | Attachment | File

    The attachment to add to the feature.

  #### Returns Promise<Attachment>

  Inherited from Geocoder._addAttachment

### `Protected`_addFeatures

- _addFeatures(features, options?): Promise<void>

- Called to add new features. Subclasses must override this if they support adding features.

  #### Parameters

  - features: Iterable<Feature, any, any>

    The features to add.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the feature is saved.

  #### Returns Promise<void>

  Inherited from Geocoder._addFeatures

### `Protected`_capabilities

- _capabilities(): GeocoderCapabilities

- The capabilities of the feature source.

  #### Returns GeocoderCapabilities

  Inherited from Geocoder._capabilities

### `Protected`_createAddressSchema

- _createAddressSchema(): Schema

- Called to create the data/Schema!Schema representing the input address.

  #### Returns Schema

  Overrides Geocoder._createAddressSchema

### `Protected`_createFeatureSettings

- _createFeatureSettings(): FeatureSettings

- Called to create the data/FeatureSettings!FeatureSettings for this feature source.

  #### Returns FeatureSettings

  Inherited from Geocoder._createFeatureSettings

### `Protected`_createHyperlinks

- _createHyperlinks(): Collection<Hyperlink>

- Called to create the Hyperlink collection for this feature source.

  #### Returns Collection<Hyperlink>

  Inherited from Geocoder._createHyperlinks

### `Protected`_createRelationships

- _createRelationships(): Collection<Relationship>

- Called to create the data/_Relationship!Relationship collection for this feature source.

  #### Returns Collection<Relationship>

  Inherited from Geocoder._createRelationships

### `Protected`_createSchema

- _createSchema(): Schema

- Called to create the data/Schema!Schema for this feature source.

  #### Returns Schema

  Overrides Geocoder._createSchema

### `Protected`_createTaskSettings

- _createTaskSettings(): TaskSettings

- Called to create the data/TaskSettings!TaskSettings for this feature source.

  #### Returns TaskSettings

  Inherited from Geocoder._createTaskSettings

### `Protected`_deleteAttachments

- _deleteAttachments(feature, attachments): Promise<void>

- Called to remove attachments from a feature. Subclasses must override this if they support feature attachments.

  #### Parameters

  - feature: Feature

    The feature to delete attachments from.

  - attachments: (string | Attachment)[]

    The attachments or the IDs of the attachments to delete.

  #### Returns Promise<void>

  Inherited from Geocoder._deleteAttachments

### `Protected`_deleteFeatures

- _deleteFeatures(ids, options?): Promise<void>

- Called to delete features. Subclasses must override this if they support deleting features.

  #### Parameters

  - ids: string[]

    The IDs of the features to delete.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are deleted.

  #### Returns Promise<void>

  Inherited from Geocoder._deleteFeatures

### `Protected`_getAttachments

- _getAttachments(feature): Promise<Attachment[]>

- Called to retrieve attachments for a feature. Subclasses must override this if they support feature attachments.

  #### Parameters

  - feature: Feature

    The feature to get attachments for.

  #### Returns Promise<Attachment[]>

  Inherited from Geocoder._getAttachments

### `Protected`_getFeatures

- _getFeatures(ids, options?): AsyncIterable<Feature, any, any>

- Called to retrieve features. Subclasses must override this if they support querying for features.

  #### Parameters

  - ids: string[]

    The unique IDs of features to retrieve.

  - `Optional` options: FeatureReadOptions

    Options that control what gets returned.

  #### Returns AsyncIterable<Feature, any, any>

  Inherited from Geocoder._getFeatures

### `Protected`_getSerializableProperties

- _getSerializableProperties(): PropertyDefs<ArcGISGeocoderProperties>

- The property keys and their metadata that are used to implement serializing and deserializing the class instance.

  #### Returns PropertyDefs<ArcGISGeocoderProperties>

  Overrides Geocoder._getSerializableProperties

### `Protected`_initializableChildCollections

- _initializableChildCollections(): IterableIterator<Collection<InitializableBase<unknown>>, any, any>

- Collections of child items to initialize. Items that fail to initialize are removed from the collection.

  #### Returns IterableIterator<Collection<InitializableBase<unknown>>, any, any>

  Inherited from Geocoder._initializableChildCollections

### `Protected`_initializeChildren

- _initializeChildren(): Promise<void>

- Initializes child entities.

  #### Returns Promise<void>

  Inherited from Geocoder._initializeChildren

### `Protected`_isRelationship

- _isRelationship(relationship): boolean

- #### Parameters

  - relationship: Relationship | RelationshipProperties

  #### Returns boolean

  Inherited from Geocoder._isRelationship

### `Protected`_onDestroy

- _onDestroy(): Promise<void>

- Called to perform cleanup. Subclasses should override this method rather than destroy() to perform custom cleanup.

  #### Returns Promise<void>

  Inherited from Geocoder._onDestroy

### `Protected`_onInitialize

- _onInitialize(): Promise<void>

- Called to perform initialization of the support/InitializableBase!InitializableBase. Subclasses should override this method rather than initialize() to perform custom initialization.

  #### Returns Promise<void>

  Overrides Geocoder._onInitialize

### `Protected`_postInitialize

- _postInitialize(): Promise<void>

- Called after normal initialization. Note: Child items are initialized before this is called.

  #### Returns Promise<void>

  Inherited from Geocoder._postInitialize

### `Protected`_toPropertyDef

- _toPropertyDef<T>(def): PropertyDef<T>

- Converts the value to a PropertyDef object.

  #### Type Parameters

  - T

  #### Parameters

  - def: PropertyDefSerializeMode | PropertyDefSerializeMode[] | PropertyDef<T>

    The value to convert.

  #### Returns PropertyDef<T>

  Inherited from Geocoder._toPropertyDef

### `Protected`_updateFeatures

- _updateFeatures(features, options?): Promise<void>

- Called to update features. Subclasses must override this if they support updating features.

  #### Parameters

  - features: Iterable<Feature, any, any>

    The feature to update.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the feature is saved.

  #### Returns Promise<void>

  Inherited from Geocoder._updateFeatures

### addAttachment

- addAttachment(feature, attachment): Promise<Attachment>

- Adds an attachment to a feature.

  #### Parameters

  - feature: Feature

    The feature to add the attachment to.

  - attachment: AttachmentProperties | Attachment | File

    The attachment to add to the feature.

  #### Returns Promise<Attachment>

  Inherited from Geocoder.addAttachment

### addFeature

- addFeature(feature, options?): Promise<void>

- Adds a new feature to the source. If the source does not support adding features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - feature: Feature

    The feature to add.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the feature is saved.

  #### Returns Promise<void>

  Inherited from Geocoder.addFeature

### addFeatures

- addFeatures(features, options?): Promise<void>

- Adds a set of features to the source. If the source does not support adding features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - features: FeatureSet

    The features to add.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are saved.

  #### Returns Promise<void>

  Inherited from Geocoder.addFeatures

### assignProperties

- assignProperties(properties): void

- #### Parameters

  - properties: Partial<ArcGISGeocoderProperties>

  #### Returns void

  #### Inherit Doc

  Inherited from Geocoder.assignProperties

### assignPropertiesAsync

- assignPropertiesAsync(properties): Promise<void>

- #### Parameters

  - properties: Partial<ArcGISGeocoderProperties>

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from Geocoder.assignPropertiesAsync

### batchGeocode

- batchGeocode(addresses, options?): AsyncIterable<Feature, any, any>

- Finds locations corresponding to multiple addresses. The geocoder must have the supportsBatchGeocoding capability (see capabilities).

  #### Parameters

  - addresses: AddressLike[]

    The addresses to search for. Can either be a string like "123 Sesame Street", or a feature or JSON object representing an address. In the latter case, the address field names and types understood by the geocoder are defined by the addressSchema property. Only the attributes are used -- any geometries on input features are ignored.

  - `Optional` options: GeocodeOptions

    Options that affect how the search is performed.

  #### Returns AsyncIterable<Feature, any, any>

  A set of features representing a candidate matches for each address. In addition to its normal attributes, each feature will have a special data/Feature!SCORE_FIELD attribute which is a number from 0 to 100 indicating a level of confidence in the match. It will also have a special tasks/geocoding/Geocoder!ADDRESS_FIELD attribute which is the input address that it matches.

  Overrides Geocoder.batchGeocode

### count

- count(address, options?): Promise<CountResult>

- Counts the number of locations corresponding to an address.

  #### Parameters

  - address: AddressLike

    The address to search for. Can either be a string like "123 Sesame Street", or a feature or JSON object representing an address. In the latter case, the address field names and types understood by the geocoder are defined by the addressSchema property. Only the attributes are used -- any geometry on the input feature is ignored.

  - `Optional` options: GeocodeOptions

    Options that affect how the search is performed.

  #### Returns Promise<CountResult>

  A count resulting indicating the number of candidate matches for the address.

  Overrides Geocoder.count

### deleteAttachments

- deleteAttachments(feature, attachments): Promise<void>

- Deletes attachments from a feature.

  #### Parameters

  - feature: Feature

    The feature to delete attachments from.

  - attachments: (string | Attachment)[]

    The attachments or the IDs of the attachments to delete from the feature.

  #### Returns Promise<void>

  Inherited from Geocoder.deleteAttachments

### deleteFeature

- deleteFeature(id, options?): Promise<void>

- Deletes a feature from its source. If the source does not support deleting features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - id: string

    The ID of the feature to delete.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are deleted.

  #### Returns Promise<void>

  Inherited from Geocoder.deleteFeature

- deleteFeature(feature, options?): Promise<void>

- Deletes a feature from its source. If the source does not support deleting features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - feature: Feature

    The feature to delete.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are deleted.

  #### Returns Promise<void>

  Inherited from Geocoder.deleteFeature

### deleteFeatures

- deleteFeatures(ids, options?): Promise<void>

- Deletes features from their source. If the source does not support deleting features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - ids: string[]

    The IDs of the features to delete.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are deleted.

  #### Returns Promise<void>

  Inherited from Geocoder.deleteFeatures

- deleteFeatures(features, options?): Promise<void>

- Deletes features from their source. If the source does not support deleting features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - features: FeatureSet

    The features to delete.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are deleted.

  #### Returns Promise<void>

  Inherited from Geocoder.deleteFeatures

### destroy

- destroy(): Promise<void>

- A clean-up function that should get called whenever the item is disposed of.

  #### Returns Promise<void>

  Inherited from Geocoder.destroy

### finishAssignProperties

- finishAssignProperties(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from Geocoder.finishAssignProperties

### geocode

- geocode(address, options?): AsyncIterable<Feature, any, any>

- Finds one or more locations corresponding to an address.

  #### Parameters

  - address: AddressLike

    The address to search for. Can either be a string like "123 Sesame Street", or a feature or JSON object representing an address. In the latter case, the address field names and types understood by the geocoder are defined by the addressSchema property. Only the attributes are used -- any geometry on the input feature is ignored.

  - `Optional` options: GeocodeOptions

    Options that affect how the search is performed.

  #### Returns AsyncIterable<Feature, any, any>

  A set of features representing candidate matches for the address. In addition to its normal attributes, each feature will have a special data/Feature!SCORE_FIELD attribute which is a number from 0 to 100 indicating a level of confidence in the match.

  Overrides Geocoder.geocode

### getAttachments

- getAttachments(feature): Promise<Attachment[]>

- Gets any attachments associated with a feature.

  #### Parameters

  - feature: Feature

    The feature to get attachments for.

  #### Returns Promise<Attachment[]>

  Inherited from Geocoder.getAttachments

### getDefault

- getDefault<K>(key): ArcGISGeocoderProperties[K]

- #### Type Parameters

  - K extends keyof ArcGISGeocoderProperties

  #### Parameters

  - key: K

  #### Returns ArcGISGeocoderProperties[K]

  #### Inherit Doc

  Inherited from Geocoder.getDefault

### getDefaults

- getDefaults(): ArcGISGeocoderProperties

- #### Returns ArcGISGeocoderProperties

  #### Inherit Doc

  Inherited from Geocoder.getDefaults

### getFeature

- getFeature(id, options?): Promise<Feature>

- Gets a feature by ID. If no such feature exists, the promise is rejected with an instance of NotFoundError.

  #### Parameters

  - id: string

    The ID of the feature to retrieve.

  - `Optional` options: FeatureReadOptions

    Additional options that control how the feature is retrieved.

  #### Returns Promise<Feature>

  Inherited from Geocoder.getFeature

### getFeatures

- getFeatures(ids, options?): AsyncIterable<Feature, any, any>

- Gets a set of features by their IDs.

  #### Parameters

  - ids: string[]

    The IDs of the features to retrieve.

  - `Optional` options: FeatureReadOptions

    Additional Options that control how the features are retrieved.

  #### Returns AsyncIterable<Feature, any, any>

  Inherited from Geocoder.getFeatures

### getFullExtent

- getFullExtent(): Extent

- Returns the full extent of the source that contains all included features.

  #### Returns Extent

  Inherited from Geocoder.getFullExtent

### getSerializableProperties

- getSerializableProperties(serializeMode?): PropertyDefs<ArcGISGeocoderProperties>

- Returns the serializable properties.

  #### Parameters

  - `Optional` serializeMode: SerializeMode

    Optional. If specified, only properties that support the given serialization mode will be returned.

  #### Returns PropertyDefs<ArcGISGeocoderProperties>

  Inherited from Geocoder.getSerializableProperties

### initialize

- initialize(): Promise<void>

- Initializes the item.

  #### Returns Promise<void>

  Inherited from Geocoder.initialize

### reverseGeocode

- reverseGeocode(location, options?): Promise<Feature>

- Finds the address at a particular location. The geocoder must have the supportsReverseGeocoding capability (see capabilities).

  #### Parameters

  - location: Point

    The location to search for.

  - `Optional` options: GeocodeOptions

    Options that affect how the search is performed.

  #### Returns Promise<Feature>

  A feature representing the address at the given location, or undefined if there is no match.

  Overrides Geocoder.reverseGeocode

### suggest

- suggest(searchText, options?): Promise<string[]>

- Suggests matching addresses to search for based on some input text. The geocoder must have the supportsSuggest capability (see capabilities).

  #### Parameters

  - searchText: string

    The input text to search for.

  - `Optional` options: GeocodeOptions

    Options that affect how the search is performed.

  #### Returns Promise<string[]>

  A list of formatted address suggestions.

  Overrides Geocoder.suggest

### toItemUri

- toItemUri(): string

- Creates an item:// URI reference to this entity.

  #### Returns string

  Inherited from Geocoder.toItemUri

### toJSON

- toJSON(serializeMode?): ArcGISGeocoderProperties

- #### Parameters

  - serializeMode: SerializeMode = "all"

  #### Returns ArcGISGeocoderProperties

  #### Inherit Doc

  Inherited from Geocoder.toJSON

### updateFeature

- updateFeature(feature, options?): Promise<void>

- Saves changes to an existing feature. If the source does not support updating features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - feature: Feature

    The feature to update.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the feature is saved.

  #### Returns Promise<void>

  Inherited from Geocoder.updateFeature

### updateFeatures

- updateFeatures(features, options?): Promise<void>

- Saves changes to a existing features. If the source does not support updating features, then an InvalidOperationError will be thrown (see capabilities).

  #### Parameters

  - features: FeatureSet

    The features to update.

  - `Optional` options: FeatureWriteOptions

    Additional options that control how the features are saved.

  #### Returns Promise<void>

  Inherited from Geocoder.updateFeatures

### updateUrl

- updateUrl(url): Promise<void>

- Updates the url that this ArcGIS geocoder makes its requests to.

  #### Parameters

  - url: string

    The new url to use for the ArcGIS geocoder.

  #### Returns Promise<void>

### `Static` fromPortalItem

- fromPortalItem(portalItem, arcGISGeocoderProperties?): Promise<ArcGISGeocoder>

- Creates an ArcGIS Geocoder from an ItemConfig that contains a $portalItem reference.

  #### Parameters

  - portalItem: PortalItemLike

    The portal item containing geocoder config.

  - `Optional` arcGISGeocoderProperties: ArcGISGeocoderProperties

    The configuration for the ArcGIS Geocoder.

  #### Returns Promise<ArcGISGeocoder>